[lfs-dev] LFS 7.10: 2.2. Host System Requirements: Perl version OK: module missing

Kevin Buckley kevin.m.buckley at gmail.com
Mon Dec 12 17:31:26 PST 2016


Hi there,

am currently building a 7.10 from a very basic Ubuntu build host that I had
debootstrapped.

For completeness, I did run the

version-check.sh

as I worked through the book and everything reported OK.


A bit further into the build, though, I was told that I didn't have the

Getopt::Std.pm

module.

Easy enough to fix and whilst it might be "overkill" for the book, which
probably assumes that folk have a build host that's not as stripped down
as a debootstrapped OS install, it struck me that might be worth adding
in an explicit check for that one Perl module ?


More information about the lfs-dev mailing list